Bug 249045 - spurious completions during NCQ / HSM violation (Dell D630, ICH8M, ST980813AS)
spurious completions during NCQ / HSM violation (Dell D630, ICH8M, ST980813AS)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-20 11:00 EDT by Thorsten Leemhuis
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-01 07:39:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (31.02 KB, text/plain)
2007-07-20 11:03 EDT, Thorsten Leemhuis
no flags Details
lspci (22.15 KB, text/plain)
2007-07-20 11:04 EDT, Thorsten Leemhuis
no flags Details

  None (edit)
Description Thorsten Leemhuis 2007-07-20 11:00:17 EDT
Description of problem:
ata1.00: exception Emask 0x2 SAct 0x1 SErr 0x0 action 0x2 frozen
ata1.00: (spurious completions during NCQ issue=0x0 SAct=0x1 FIS=004040a1:00000008)
ata1.00: cmd 60/60:00:3f:1d:24/00:00:01:00:00/40 tag 0 cdb 0x0 data 49152 in
         res 40/00:00:3f:1d:24/00:00:01:00:00/40 Emask 0x2 (HSM violation)
ata1: soft resetting port
ata1: SATA link up 3.0 Gbps (SStatus 123 SControl 300)
ata1.00: configured for UDMA/133
ata1: EH complete

Version-Release number of selected component (if applicable):
2.6.22.1-27.fc7

How reproducible:
Happens now and then

Additional info:
Similar to Bug 245512, but different hardware here

Will attach dmesg and lspci
Comment 1 Thorsten Leemhuis 2007-07-20 11:03:59 EDT
Created attachment 159660 [details]
dmesg
Comment 2 Thorsten Leemhuis 2007-07-20 11:04:32 EDT
Created attachment 159661 [details]
lspci
Comment 3 Thorsten Leemhuis 2007-07-20 11:06:49 EDT
Forgot: this happened in the past with different kernels as well, so is not
specific to 2.6.22.1-27.fc7 afaics currently (I think it didn#t happen with some
kernels, but was not able to find a scheme when it happens and when not); I just
wanted to report this.
Comment 4 Chuck Ebbert 2007-07-20 12:05:35 EDT
Disk is: ST980813AS, 3.ADB
Comment 5 Thorsten Leemhuis 2007-09-01 07:39:21 EDT
the messages don't show up in newer kernels on this machine anymore

Note You need to log in before you can comment on or make changes to this bug.